[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'InterfaceBase' (#lcl)

# TWidgetSet.AngleChord

Use AngleChord to draw a filled Chord shape on a canvas.

## Declaration

Source position: winapih.inc line 36

`public function TWidgetSet.AngleChord(`
`DC: HDC;`
`x1: Integer;`
`y1: Integer;`
`x2: Integer;`
`y2: Integer;`
`angle1: Integer;`
`angle2: Integer`
`):Boolean; virtual;`

## Arguments

`angle1` |  | Base angle.
`angle2` |  | Angle length.

## Function result

False on failure.

## Description

The chord is outlined with the current pen, and filled with the current brush.

The angles angle1 and angle2 are 1/16th of a degree. For example, a full circle equals 5760 16*360). Positive values of Angle and AngleLength mean counter-clockwise while negative values mean clockwise direction. Zero degrees is at the 3 o'clock position.